import dynamix_sdk.base as _base


class CloudapiK8sGetNodeAnnotationsResultStr(_base.BaseAPIResultStr):
    pass


class CloudapiK8sGetNodeAnnotationsProtocol(_base.BasePostAPIFunctionProtocol):
    def get_node_annotations(
        self,
        *,
        k8s_id: int,
        node_id: int,
    ) -> CloudapiK8sGetNodeAnnotationsResultStr:
        ...
